import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:mighty_school/common/global_widget/custom_web_scroll_view_widget.dart';
import 'package:mighty_school/common/widget/custom_app_bar.dart';
import 'package:mighty_school/feature/cms_management/conceptual_video/presentation/widgets/conceptual_video_list_widget.dart';
import 'package:mighty_school/util/dimensions.dart';

class ConceptualVideoScreen extends StatefulWidget {
  const ConceptualVideoScreen({super.key});

  @override
  State<ConceptualVideoScreen> createState() => _ConceptualVideoScreenState();
}

class _ConceptualVideoScreenState extends State<ConceptualVideoScreen> {
  ScrollController scrollController = ScrollController();
  @override
  Widget build(BuildContext context) {
    return  Scaffold(
      appBar: CustomAppBar(title: "conceptual_video".tr),
      body: CustomWebScrollView(controller: scrollController, slivers: [

        SliverToBoxAdapter(child: Padding(padding: const EdgeInsets.all(Dimensions.paddingSizeDefault),
          child: Padding(padding: const EdgeInsets.all(Dimensions.paddingSizeDefault),
            child: ConceptualVideoListWidget(scrollController: scrollController),
          ),
        ),)
      ],),
    );
  }
}
